Skip to main content
GET
/
xai
/
tasks
查询任务状态
curl --request GET \
  --url https://api.mountsea.ai/xai/tasks \
  --header 'Authorization: Bearer <token>'
{
  "taskId": "<string>",
  "status": "pending",
  "result": {},
  "errorMessage": "<string>",
  "errorCode": 123,
  "finishedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "traceId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

taskId
string
required

任务ID

Response

200 - application/json
taskId
string
required

任务 ID

status
enum<string>
required

任务状态

Available options:
pending,
ready,
assigned,
processing,
completed,
failed,
cancelled,
timeout
result
object

任务结果(直接透传协议层返回,类型根据任务类型不同而变化)

errorMessage
string

错误信息

errorCode
number

错误代码

finishedAt
string<date-time>

完成时间

createdAt
string<date-time>

创建时间

traceId
string

追踪 ID